CPP=@CPP@
CXX=@CXX@
CC=@CC@

AFLAGS=-g
CFLAGS=@CFLAGS@ -I. -I.. -I../devices @DEFS@
CXXFLAGS=$(CFLAGS)

LIBS=@LIBS@
MOC=@MOC@


OBJS=	CamPanel.o BasicPanel.o ImagePanelRGB.o ImagePanelYUV.o\
	video_asm.o video_asm_add.o 

	#DiffPanel.o RGBShow.o DeltaPanel.o\
	#IntgPanel.o DCTPanel.o CamTile.o\

# Not all object require the MOC preprocessor
MOCH=	CamPanel.h BasicPanel.h ImagePanelRGB.h ImagePanelYUV.h
	#IntgPanel.h DCTPanel.h \
	#DiffPanel.h RGBShow.h
MOBJS := $(patsubst %.h, %.moc.o, $(MOCH))

all:	video.a

%.moc.cc: %.h
	$(MOC) -o $@ $<

%.o:	%.S
	$(CC) $(AFLAGS) -c -o $@ $<

clean:
	rm -f *.o *.a *~ *.moc.cc *.bak core

distclean:	clean
	rm -f config.h config.cache config.log config.status
	rm -f DEADJOE Makefile 

dep:
	makedepend -- $(CXXFLAGS) *.cc

video.a: $(OBJS) $(MOBJS)
	ar rcs $@ $(OBJS) $(MOBJS)

